## kpim6-grantleetheme 25.08.0

=== debian/changelog ===
kpim6-grantleetheme (25.08.0-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 23:21:02 +0000

kpim6-grantleetheme (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:02:34 +0000

kpim6-grantleetheme (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:40:09 +0000

kpim6-grantleetheme (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:54:54 +0000

kpim6-grantleetheme (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:45:36 +0000

kpim6-grantleetheme (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:32:44 +0000

kpim6-grantleetheme (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:01:46 +0000

kpim6-grantleetheme (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:00:20 +0000

kpim6-grantleetheme (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:52:24 +0000

kpim6-grantleetheme (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:49:52 +0000

kpim6-grantleetheme (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:49:51 +0000

kpim6-grantleetheme (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:25:31 +0000

kpim6-grantleetheme (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:02:04 +0000

kpim6-grantleetheme (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:11:25 +0000

kpim6-grantleetheme (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:47:51 +0000

kpim6-grantleetheme (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:14:14 +0000

kpim6-grantleetheme (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:00:38 +0000

kpim6-grantleetheme (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 14:55:48 +0000

kpim6-grantleetheme (23.08.4-1neon) jammy; urgency=medium

  * Update changelog. 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 07 Dec 2023 02:19:46 -0700

kpim6-grantleetheme (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:37:15 +0000

kpim6-grantleetheme (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Nov 2023 15:42:21 +0000

kpim6-grantleetheme (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:13:21 +0000

kpim6-grantleetheme (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 17:05:36 +0000

libkf5grantleetheme (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:43:29 +0000

libkf5grantleetheme (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:11:27 +0000

libkf5grantleetheme (22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 12:57:04 +0000

libkf5grantleetheme (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:28:33 +0000

libkf5grantleetheme (22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:05:31 +0000

libkf5grantleetheme (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:11:44 +0000

libkf5grantleetheme (22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:36:39 +0000

libkf5grantleetheme (22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:07:37 +0000

libkf5grantleetheme (22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:35:26 +0000

libkf5grantleetheme (22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:21:36 +0000

libkf5grantleetheme (22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:46:48 +0000

libkf5grantleetheme (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:39:40 +0000

libkf5grantleetheme (22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 12:56:04 +0000

libkf5grantleetheme (21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:03:37 +0000

libkf5grantleetheme (21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 10:58:58 +0000

libkf5grantleetheme (21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Nov 2021 16:35:26 +0000

libkf5grantleetheme (21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 11:39:16 +0000

libkf5grantleetheme (21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:31:10 +0000

libkf5grantleetheme (21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2021 09:31:10 +0000

libkf5grantleetheme (21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:48:11 +0000



## kpim6-grantleetheme 25.08.1

=== debian/changelog ===
kpim6-grantleetheme (25.08.1-0zneon+24.04+noble+release+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 13:45:53 +0000

kpim6-grantleetheme (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:27:31 +0000

## kpim6-grantleetheme 25.08.1+p24.04+vstable+git20250926.0915

=== debian/changelog ===
kpim6-grantleetheme (25.08.1+p24.04+vstable+git20250926.0915-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 09:15:12 +0000

## kpim6-grantleetheme 25.08.1+p24.04+vstable+git20250930.0455

=== debian/changelog ===
kpim6-grantleetheme (25.08.1+p24.04+vstable+git20250930.0455-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 04:55:39 +0000

## kpim6-grantleetheme 25.08.2

=== debian/changelog ===
kpim6-grantleetheme (25.08.2-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 05:17:50 +0000

kpim6-grantleetheme (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 04:06:45 +0000

## kpim6-grantleetheme 25.08.2+p24.04+vstable+git20251015.1436

=== debian/changelog ===
kpim6-grantleetheme (25.08.2+p24.04+vstable+git20251015.1436-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 14:36:58 +0000

## kpim6-grantleetheme 25.08.2+p24.04+vunstable+git20251020.1054

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

set(KF_MIN_VERSION "6.17.0")
set(PIM_VERSION "6.5.40")
set(QT_REQUIRED_VERSION "6.8.0")
project(GrantleeTheme VERSION ${PIM_VERSION})

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${GrantleeTheme_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})
set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
    autotests/*.cpp
    autotests/*.h
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddTests)
include(ECMAddQch)
include(KPIMGrantleeMacros)
option(
    BUILD_QCH
    "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
    OFF
)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

include(ECMCheckOutboundLicense)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
    autotests/*.cpp
    autotests/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

set(GRANTLEETHEME_LIB_VERSION ${PIM_VERSION})

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Network)
find_package(KF6GuiAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6NewStuff ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ColorScheme ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KF6TextTemplate CONFIG REQUIRED)
ecm_setup_version(PROJECT VARIABLE_PREFIX GRANTLEETHEME
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/grantleetheme_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6GrantleeThemeConfigVersion.cmake"
                        SOVERSION 6
)

########### Targets ###########

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)

option(
    USE_UNITY_CMAKE_SUPPORT
    "Use UNITY cmake support (speedup compile time)"
    OFF
)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()
########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6GrantleeTheme")

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6GrantleeThemeConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6GrantleeThemeConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6GrantleeThemeTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6GrantleeThemeTargets.cmake
    NAMESPACE KPim6::
)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/src/grantleetheme_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/GrantleeTheme
    COMPONENT Devel
)

add_subdirectory(src)
if(BUILD_TESTING)
    find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
    add_subdirectory(autotest)
endif()

if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6GrantleeTheme_QCH
        FILE KPim6GrantleeThemeQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS
        "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6GrantleeThemeQchTargets.cmake\")"
    )
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimGrantleeThemeConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6GrantleeThemeConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

## kpim6-grantleetheme 25.08.2+p24.04+vstable+git20251019.0315

=== debian/changelog ===
kpim6-grantleetheme (25.08.2+p24.04+vstable+git20251019.0315-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:15:33 +0000

=== debian/control ===
Source: kpim6-grantleetheme
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               kf6-attica-dev,
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kcoreaddons-dev,
               kf6-kdoctools-dev,
               kf6-kguiaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-knewstuff-dev,
               kf6-ktexttemplate-dev,
               kf6-kxmlgui-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               reuse
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/grantleetheme.git
Vcs-Browser: https://invent.kde.org/neon/kde/grantleetheme
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-grantleetheme
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf5grantleetheme-plugins,
          libkf5grantleetheme5,
          libkf6grantleetheme-plugins,
          libkf6grantleetheme6,
          libkpim6grantleetheme-plugins,
          libkpim6grantleetheme6
Description: KDE PIM grantlee theme support - library
 This library provides the grantlee theme support for KDE PIM.
 .
 This package provides the shared libraries.

Package: kpim6-grantleetheme-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kf6-ktexttemplate-dev,
         kpim6-grantleetheme (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkpim6grantleetheme-dev
Description: KDE PIM grantlee theme support - devel files
 This library provides the grantlee theme support for KDE PIM.
 .
 This package provides the development files.

Package: libkpim6grantleetheme6
Architecture: all
Depends: kpim6-grantleetheme, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6grantleetheme-plugins
Architecture: all
Depends: kpim6-grantleetheme, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6grantleetheme-dev
Architecture: all
Depends: kpim6-grantleetheme-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6grantleetheme6
Architecture: all
Depends: kpim6-grantleetheme, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6grantleetheme-plugins
Architecture: all
Depends: kpim6-grantleetheme, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6grantleetheme-dev
Architecture: all
Depends: kpim6-grantleetheme-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5grantleetheme5
Architecture: all
Depends: kpim6-grantleetheme, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5grantleetheme-plugins
Architecture: all
Depends: kpim6-grantleetheme, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5grantleetheme-dev
Architecture: all
Depends: kpim6-grantleetheme-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential, dbus-x11, libxml2-utils, xauth, xvfb, @, @builddeps@
Restrictions: build-needed

Tests: acc
Depends: dh-acc, exuberant-ctags, @
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/release-service/([\d.]+)/src/grantleetheme-([\d.]+).tar.xz

## kpim6-grantleetheme 25.08.2+p24.04+vunstable+git20251020.1054

=== debian/changelog ===
kpim6-grantleetheme (25.08.2+p24.04+vunstable+git20251020.1054-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 10:54:56 +0000

## kpim6-grantleetheme 25.08.2+p24.04+vunstable+git20251022.0244

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(KF_MIN_VERSION "6.17.0")
+set(KF_MIN_VERSION "6.18.0")
 set(PIM_VERSION "6.5.40")
 set(QT_REQUIRED_VERSION "6.8.0")
 project(GrantleeTheme VERSION ${PIM_VERSION})

=== debian/changelog ===
kpim6-grantleetheme (25.08.2+p24.04+vunstable+git20251022.0244-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 02:44:43 +0000

## kpim6-grantleetheme 25.08.3

=== debian/changelog ===
kpim6-grantleetheme (25.08.3-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 16:49:27 +0000

kpim6-grantleetheme (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:38:07 +1000

## kpim6-grantleetheme 25.08.3+p24.04+vunstable+git20251202.1036

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(KF_MIN_VERSION "6.18.0")
-set(PIM_VERSION "6.5.40")
-set(QT_REQUIRED_VERSION "6.8.0")
+set(KF_MIN_VERSION "6.19.0")
+set(PIM_VERSION "6.6.40")
+set(QT_REQUIRED_VERSION "6.9.0")
 project(GrantleeTheme VERSION ${PIM_VERSION})
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -86,7 +86,7 @@
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 option(
     USE_UNITY_CMAKE_SUPPORT

=== debian/changelog ===
kpim6-grantleetheme (25.08.3+p24.04+vunstable+git20251202.1036-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 10:36:42 +0000

## kpim6-grantleetheme 25.08.3+p24.04+vunstable+git20251206.0708

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(KF_MIN_VERSION "6.19.0")
+set(KF_MIN_VERSION "6.20.0")
 set(PIM_VERSION "6.6.40")
 set(QT_REQUIRED_VERSION "6.9.0")
 project(GrantleeTheme VERSION ${PIM_VERSION})

=== debian/changelog ===
kpim6-grantleetheme (25.08.3+p24.04+vunstable+git20251206.0708-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 07:08:06 +0000

## kpim6-grantleetheme 25.12.0

=== debian/changelog ===
kpim6-grantleetheme (25.12.0-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 12:49:04 +0000

kpim6-grantleetheme (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:34:04 +1000

## kpim6-grantleetheme 25.12.1

=== debian/changelog ===
kpim6-grantleetheme (25.12.1-0zneon+24.04+noble+release+build27) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 06:02:07 +0000

kpim6-grantleetheme (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:23:24 +1000

## kpim6-grantleetheme 25.12.1+p24.04+vstable+git20260205.0425

=== debian/changelog ===
kpim6-grantleetheme (25.12.1+p24.04+vstable+git20260205.0425-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 04:25:19 +0000

## kpim6-grantleetheme 25.12.2

=== debian/changelog ===
kpim6-grantleetheme (25.12.2-0zneon+24.04+noble+release+build28) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 09:13:19 +0000

kpim6-grantleetheme (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 05:01:45 +0000

## kpim6-grantleetheme 25.12.2+p24.04+vstable+git20260206.0913

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(KF_MIN_VERSION "6.20.0")
-set(PIM_VERSION "6.6.40")
-set(QT_REQUIRED_VERSION "6.9.0")
+set(KF_MIN_VERSION "6.18.0")
+set(PIM_VERSION "6.6.3")
+set(QT_REQUIRED_VERSION "6.8.0")
 project(GrantleeTheme VERSION ${PIM_VERSION})
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
kpim6-grantleetheme (25.12.2+p24.04+vstable+git20260206.0913-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 09:13:28 +0000

## kpim6-grantleetheme 25.12.2+p24.04+vunstable+git20260206.0913

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.27)
 
-set(KF_MIN_VERSION "6.18.0")
-set(PIM_VERSION "6.6.3")
-set(QT_REQUIRED_VERSION "6.8.0")
+set(KF_MIN_VERSION "6.21.0")
+set(PIM_VERSION "6.6.40")
+set(QT_REQUIRED_VERSION "6.9.0")
 project(GrantleeTheme VERSION ${PIM_VERSION})
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -34,27 +34,41 @@
     endif()
 endif()
 if(NOT ${PRE_COMMIT_INSTALLED})
-    include(KDEGitCommitHooks)
-    include(KDEClangFormat)
-    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    find_program(PRE_COMMIT_EXECUTABLE pre-commit)
+    if(PRE_COMMIT_EXECUTABLE)
+        message(STATUS "This module has pre-commit support. pre-commit binary was found. Installing pre-commit hook")
+        execute_process(
+            COMMAND
+                "${PRE_COMMIT_EXECUTABLE}" install -f
+            ERROR_QUIET
+            RESULT_VARIABLE _precommitresult
+            WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
+        )
+        if(_precommitresult EQUAL 0)
+            message(STATUS "Pre-commit installed.")
+        else()
+            message(
+                WARNING
+                "Error during installing pre-commit hook: ${PRE_COMMIT_EXECUTABLE} project source dir ${PROJECT_SOURCE_DIR}"
+            )
+            include(KDEGitCommitHooks)
+            include(KDEClangFormat)
+            kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+        endif()
+    else()
+        message(WARNING "This module has pre-commit support. pre-commit binary was not found.")
+        include(KDEGitCommitHooks)
+        include(KDEClangFormat)
+        kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    endif()
 endif()
 
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
 include(ECMAddTests)
-include(ECMAddQch)
+include(ECMGenerateQDoc)
 include(KPIMGrantleeMacros)
-option(
-    BUILD_QCH
-    "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
-    OFF
-)
-add_feature_info(
-    QCH
-    ${BUILD_QCH}
-    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
-)
 
 include(ECMCheckOutboundLicense)
 file(
@@ -86,7 +100,12 @@
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
+ecm_set_disabled_deprecation_versions(QT 6.11.0 KF 6.22.0)
 
 option(
     USE_UNITY_CMAKE_SUPPORT
@@ -122,22 +141,22 @@
     COMPONENT Devel
 )
 
+option(WARNINGS_AS_ERRORS "Warnings are errors -Werror" OFF)
+if(WARNINGS_AS_ERRORS)
+    if(MSVC)
+        # FIXME Disabled because of inconsistent dll linkage warnings
+        # add_compile_options(/WX)
+        # add_compile_options(/wd4996)
+    else()
+        add_compile_options(-Werror)
+        add_compile_options(-Wno-error=deprecated-declarations)
+    endif()
+endif()
+
 add_subdirectory(src)
 if(BUILD_TESTING)
     find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
     add_subdirectory(autotest)
-endif()
-
-if(BUILD_QCH)
-    ecm_install_qch_export(
-        TARGETS KPim6GrantleeTheme_QCH
-        FILE KPim6GrantleeThemeQchTargets.cmake
-        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-        COMPONENT Devel
-    )
-    set(PACKAGE_INCLUDE_QCHTARGETS
-        "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6GrantleeThemeQchTargets.cmake\")"
-    )
 endif()
 
 configure_package_config_file(

=== src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"libgrantleetheme6\")

add_library(KPim6GrantleeTheme)
add_library(KPim6::GrantleeTheme ALIAS KPim6GrantleeTheme)

add_subdirectory(plugin)

target_sources(
    KPim6GrantleeTheme
    PRIVATE
        genericformatter.cpp
        grantleetheme.cpp
        grantleethememanager.cpp
        grantleethemeengine.cpp
        grantleeki18nlocalizer.cpp
        qtresourcetemplateloader.cpp
        genericformatter.h
        grantleetheme.h
        grantleethememanager.h
        grantleethemeengine.h
        grantleeki18nlocalizer.h
        qtresourcetemplateloader.h
)

configure_file(
    config-grantleetheme.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/config-grantleetheme.h
)

ecm_qt_declare_logging_category(KPim6GrantleeTheme HEADER grantleetheme_debug.h IDENTIFIER GRANTLEETHEME_LOG CATEGORY_NAME org.kde.pim.grantleetheme
        OLD_CATEGORY_NAMES log_grantleetheme
        DESCRIPTION "kdepim (grantleetheme)" EXPORT LIBGRANTLEETHEME
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim6GrantleeTheme PROPERTIES UNITY_BUILD ON)
endif()
ecm_generate_export_header(KPim6GrantleeTheme
    BASE_NAME grantleetheme
    VERSION ${GRANTLEETHEME_VERSION}
    DEPRECATED_BASE_VERSION 0
    USE_VERSION_HEADER
)

target_include_directories(
    KPim6GrantleeTheme
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/GrantleeTheme/>"
)
target_include_directories(
    KPim6GrantleeTheme
    PUBLIC
        "$<BUILD_INTERFACE:${GrantleeTheme_SOURCE_DIR}/src;${GrantleeTheme_BINARY_DIR}/src;>"
)

target_link_libraries(
    KPim6GrantleeTheme
    PUBLIC KF6::TextTemplate
    PRIVATE
        KF6::NewStuffCore
        KF6::I18n
        KF6::NewStuffWidgets
        KF6::ConfigCore
        KF6::XmlGui
)
set_target_properties(
    KPim6GrantleeTheme
    PROPERTIES
        VERSION ${GRANTLEETHEME_VERSION}
        SOVERSION ${GRANTLEETHEME_SOVERSION}
        EXPORT_NAME GrantleeTheme
)

install(
    TARGETS KPim6GrantleeTheme
    EXPORT KPim6GrantleeThemeTargets
    ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

ecm_generate_headers(GrantleeTheme_CamelCase_HEADERS
  HEADER_NAMES
  GenericFormatter
  GrantleeThemeManager
  GrantleeTheme
  GrantleeThemeEngine
  QtResourceTemplateLoader
  GrantleeKi18nLocalizer
  REQUIRED_HEADERS GrantleeTheme_HEADERS
  PREFIX GrantleeTheme
)

install(
    FILES ${GrantleeTheme_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/GrantleeTheme/GrantleeTheme
    COMPONENT Devel
)

install(
    FILES
        ${GrantleeTheme_HEADERS}
        ${CMAKE_CURRENT_BINARY_DIR}/grantleetheme_export.h
        ${GrantleeTheme_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/GrantleeTheme/grantleetheme
    COMPONENT Devel
)

ecm_qt_install_logging_categories(EXPORT LIBGRANTLEETHEME FILE grantleetheme.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
ecm_generate_qdoc(KPim6GrantleeTheme grantleetheme.qdocconf)

=== debian/changelog ===
kpim6-grantleetheme (25.12.2+p24.04+vunstable+git20260206.0913-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 09:13:36 +0000

## kpim6-grantleetheme 25.12.2+p24.04+vunstable+git20260209.0914

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,10 @@
 project(GrantleeTheme VERSION ${PIM_VERSION})
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
-set(CMAKE_MODULE_PATH ${GrantleeTheme_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})
+set(CMAKE_MODULE_PATH
+    ${GrantleeTheme_SOURCE_DIR}/cmake
+    ${ECM_MODULE_PATH}
+)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -27,7 +30,11 @@
 if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
     if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
         file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
-        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
+        string(
+            FIND "${FILE_CONTENTS}"
+            "File generated by pre-commit"
+            INDEX
+        )
         if(${INDEX} GREATER_EQUAL 0)
             set(PRE_COMMIT_INSTALLED TRUE)
         endif()
@@ -82,7 +89,14 @@
 
 set(GRANTLEETHEME_LIB_VERSION ${PIM_VERSION})
 
-find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Network)
+find_package(
+    Qt6
+    ${QT_REQUIRED_VERSION}
+    CONFIG
+    REQUIRED
+        Widgets
+        Network
+)
 find_package(KF6GuiAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -105,13 +119,9 @@
     # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
     string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
 endif()
-ecm_set_disabled_deprecation_versions(QT 6.11.0 KF 6.22.0)
+ecm_set_disabled_deprecation_versions(QT 6.11.0 KF 6.23.0)
 
-option(
-    USE_UNITY_CMAKE_SUPPORT
-    "Use UNITY cmake support (speedup compile time)"
-    OFF
-)
+option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
 
 set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
 if(USE_UNITY_CMAKE_SUPPORT)
@@ -136,7 +146,8 @@
 )
 
 install(
-    FILES ${CMAKE_CURRENT_BINARY_DIR}/src/grantleetheme_version.h
+    FILES
+        ${CMAKE_CURRENT_BINARY_DIR}/src/grantleetheme_version.h
     DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/GrantleeTheme
     COMPONENT Devel
 )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -22,10 +22,7 @@
         qtresourcetemplateloader.h
 )
 
-configure_file(
-    config-grantleetheme.h.in
-    ${CMAKE_CURRENT_BINARY_DIR}/config-grantleetheme.h
-)
+configure_file(config-grantleetheme.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-grantleetheme.h)
 
 ecm_qt_declare_logging_category(KPim6GrantleeTheme HEADER grantleetheme_debug.h IDENTIFIER GRANTLEETHEME_LOG CATEGORY_NAME org.kde.pim.grantleetheme
         OLD_CATEGORY_NAMES log_grantleetheme
@@ -33,7 +30,12 @@
 )
 
 if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
-    set_target_properties(KPim6GrantleeTheme PROPERTIES UNITY_BUILD ON)
+    set_target_properties(
+        KPim6GrantleeTheme
+        PROPERTIES
+            UNITY_BUILD
+                ON
+    )
 endif()
 ecm_generate_export_header(KPim6GrantleeTheme
     BASE_NAME grantleetheme
@@ -55,7 +57,8 @@
 
 target_link_libraries(
     KPim6GrantleeTheme
-    PUBLIC KF6::TextTemplate
+    PUBLIC
+        KF6::TextTemplate
     PRIVATE
         KF6::NewStuffCore
         KF6::I18n
@@ -66,16 +69,15 @@
 set_target_properties(
     KPim6GrantleeTheme
     PROPERTIES
-        VERSION ${GRANTLEETHEME_VERSION}
-        SOVERSION ${GRANTLEETHEME_SOVERSION}
-        EXPORT_NAME GrantleeTheme
+        VERSION
+            ${GRANTLEETHEME_VERSION}
+        SOVERSION
+            ${GRANTLEETHEME_SOVERSION}
+        EXPORT_NAME
+            GrantleeTheme
 )
 
-install(
-    TARGETS KPim6GrantleeTheme
-    EXPORT KPim6GrantleeThemeTargets
-    ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
-)
+install(TARGETS KPim6GrantleeTheme EXPORT KPim6GrantleeThemeTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
 
 ecm_generate_headers(GrantleeTheme_CamelCase_HEADERS
   HEADER_NAMES
@@ -90,7 +92,8 @@
 )
 
 install(
-    FILES ${GrantleeTheme_CamelCase_HEADERS}
+    FILES
+        ${GrantleeTheme_CamelCase_HEADERS}
     DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/GrantleeTheme/GrantleeTheme
     COMPONENT Devel
 )

=== src/plugin/CMakeLists.txt ===
kde_enable_exceptions()

add_library(kde_grantlee_plugin MODULE)
target_sources(
    kde_grantlee_plugin
    PRIVATE
        kdegrantleeplugin.cpp
        color.cpp
        colorscheme.cpp
        icon.cpp
        palette.cpp
        kdegrantleeplugin.h
        color.h
        colorscheme.h
        icon.h
        palette.h
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        kde_grantlee_plugin
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
kpim_grantlee_adjust_plugin_name(kde_grantlee_plugin)
target_link_libraries(
    kde_grantlee_plugin
    KF6::TextTemplate
    KF6::IconThemes
    KF6::GuiAddons
    KF6::ColorScheme
)

install(TARGETS kde_grantlee_plugin LIBRARY DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/ktexttemplate/)

=== debian/changelog ===
kpim6-grantleetheme (25.12.2+p24.04+vunstable+git20260209.0914-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 09 Feb 2026 09:14:57 +0000
